# generate the structure for predetermined pedigree, note, the last 4 individuals are additional unrelated individuals
# see Figure 2 of Wu et al. 2017, AOAS

generatepedstrmix <- function()
{
  pedstr <- cbind(1 : 20, 0, 0)
  pedstr[4, 2 : 3] <- c(2, 1)
  pedstr[5, 2 : 3] <- c(2, 1)
  pedstr[7, 2 : 3] <- c(2, 1)
  pedstr[9, 2 : 3] <- c(4, 3)
  pedstr[10, 2 : 3] <- c(4, 3)
  pedstr[11, 2 : 3] <- c(4, 3)
  pedstr[12, 2 : 3] <- c(6, 5)
  pedstr[13, 2 : 3] <- c(6, 5)
  pedstr[14, 2 : 3] <- c(8, 7)
  pedstr[15, 2 : 3] <- c(8, 7)
  pedstr[16, 2 : 3] <- c(8, 7)
  
  return(pedstr)
}
